#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        KBlog - a blogging library for KDE
Name:           kblog
Version: 16.12.3
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
Source0:        http://fr2.rpmfind.net/linux/KDE/stable/plasma/%{name}-%{version}.tar.xz

URL:            https://www.kde.org/


BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5WebKit)
BuildRequires:  pkgconfig(Qt5WebKitWidgets)

BuildRequires:  kf5-macros
BuildRequires:  kdelibs4support-devel >= 5.12.0
BuildRequires:  kio-devel >= 5.12.0
BuildRequires:  kcoreaddons-devel >= 5.12.0
BuildRequires:  kxmlrpcclient-devel
BuildRequires:  syndication-devel >= 4.79.0
BuildRequires:  kcalcore-devel >= 4.79.0

BuildRequires:  cmake(KF5CalendarCore) >= 5.3.1

%description
KBlog - a blogging library for KDE.

#--------------------------------------------------------------------

%define kblog_major 5
%define libkblog %mklibname kf5blog %{kblog_major}

%package -n %libkblog
Summary:      KBlog - a blogging library for KDE
Group:        System/Libraries

Obsoletes:    %{_lib}kf5blog4 < 16.03.80


%description -n %libkblog
KBlog - a blogging library for KDE.

%files -n %libkblog
%_kf5_libdir/libKF5Blog.so.%{kblog_major}*

#--------------------------------------------------------------------

%define kblog_devel %mklibname kblog -d

%package -n %kblog_devel

Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkblog = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kblog_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kblog_devel
%_kf5_includedir/KBlog
%_kf5_includedir/*.h
%_kf5_libdir/*.so
%_kf5_libdir/cmake/KF5Blog
%_qt5_prefix/mkspecs/modules/*.pri

#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5
%make_build

%install
%make_install -C build

%find_lang --all %{name}5



%changelog
* Wed Mar 08 2017 neoclust <neoclust> 16.12.3-1.mga6
+ Revision: 1090029
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 16.12.0-1.mga6
+ Revision: 1076764
- New version 16.12.0

* Sun Dec 04 2016 neoclust <neoclust> 16.11.90-1.mga6
+ Revision: 1071977
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 16.08.3-1.mga6
+ Revision: 1067295
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 16.08.2-1.mga6
+ Revision: 1061354
- New version 16.08.2

* Tue Sep 13 2016 neoclust <neoclust> 16.08.1-1.mga6
+ Revision: 1051879
- New version 16.08.1

* Wed Aug 24 2016 neoclust <neoclust> 16.08.0-1.mga6
+ Revision: 1048116
- New version 16.08.0

* Sat Jul 09 2016 neoclust <neoclust> 16.04.3-1.mga6
+ Revision: 1040016
- New version 16.04.3
- New version 16.04.2

* Wed May 11 2016 neoclust <neoclust> 16.04.1-1.mga6
+ Revision: 1012506
- New version 16.04.1

* Fri Apr 22 2016 neoclust <neoclust> 16.04.0-1.mga6
+ Revision: 1004296
- New version 16.04.0

* Sat Apr 02 2016 neoclust <neoclust> 16.03.80-1.mga6
+ Revision: 997733
- New version 16.03.80

* Wed Mar 16 2016 neoclust <neoclust> 15.12.3-1.mga6
+ Revision: 991146
- New version 15.12.3

* Tue Mar 08 2016 neoclust <neoclust> 15.12.2-1.mga6
+ Revision: 987415
- New version 15.12.2

* Wed Jan 13 2016 neoclust <neoclust> 15.12.1-1.mga6
+ Revision: 922584
- New version 15.12.1

* Sat Dec 19 2015 neoclust <neoclust> 15.12.0-1.mga6
+ Revision: 911918
- New version 15.12.0

* Mon Nov 23 2015 neoclust <neoclust> 15.11.80-1.mga6
+ Revision: 905376
- New version 15.11.80

* Tue Nov 10 2015 neoclust <neoclust> 15.08.3-1.mga6
+ Revision: 901112
- New version 15.08.3

* Wed Oct 14 2015 neoclust <neoclust> 15.08.2-1.mga6
+ Revision: 890587
- New version 15.08.2

* Fri Sep 18 2015 neoclust <neoclust> 15.08.1-1.mga6
+ Revision: 880405
- New version 15.08.1

* Wed Aug 19 2015 neoclust <neoclust> 15.08.0-1.mga6
+ Revision: 865923
- New version 15.08.0

* Wed Aug 12 2015 neoclust <neoclust> 15.07.90-2.mga6
+ Revision: 864000
- Plasma Mass Rebuild - Rebuild for new Plasma

* Sun Aug 09 2015 neoclust <neoclust> 15.07.90-1.mga6
+ Revision: 861736
- New version 15.07.90

* Wed Jul 29 2015 neoclust <neoclust> 15.07.80-1.mga6
+ Revision: 858858
- imported package kblog

